Bug 187328 - KMid KPart does not load due to no exported symbols
KMid KPart does not load due to no exported symbols
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kmid (Show other bugs)
12
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 22:58 EST by Kevin Kofler
Modified: 2010-01-21 23:32 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-21 23:32:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2006-03-29 22:58:13 EST
Description of problem: 
KMid doesn't load as a KPart in Konqueror anymore. (This worked in FC4.) The 
error message says there was an error loading the module KMid because 
libkmidpart doesn't contain a function init_libkmidpart. A quick nm confirms 
this: 
nm: /usr/lib/kde3/libkmidpart.so: no symbols 
 
Version-Release number of selected component (if applicable): 
kdemultimedia-3.5.1-2 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Open Konqueror.  
2. Set up the MIDI mimetype to load KMid as a KPart (embedded viewer). 
3. Go to any website containing MIDI files. 
4. Open one of them. 
(Alternatively, use nm to test libkmidpart for the required exports.) 
 
Actual results: 
There is an error message about no init_libkmidpart being found in 
libkmidpart. 
 
Expected results: 
The KPart loads properly. 
 
Additional info: 
Maybe a GCC visibility issue. Or something like -Wl,--export-dynamic could be 
needed.
Comment 1 Kevin Kofler 2006-04-22 17:05:57 EDT
Still broken in kdemultimedia-3.5.2-0.1.fc5.
Comment 2 Rex Dieter 2006-06-25 17:52:29 EDT
FYI, the fact the nm returns "no symbols" isn't a bug.  If you *really* want to
see the symbols (via nm or whatever), you need to install kdemultimedia-debuginfo
Comment 3 Kevin Kofler 2006-06-25 17:55:51 EDT
The symbol doesn't show up with nm -D either, and that IMHO stops being normal. 
How is the linker expected to find it if it isn't in the dynamic export table? 
It definitely can't find it.
Comment 4 Rex Dieter 2006-06-25 18:30:16 EDT
OK, good point.  I can confirm 
$ nm -D /usr/lib/kde3/libkmidpart.so
returns
000015e8 A __bss_start
         w __cxa_finalize
000015e8 A _edata
000015ec A _end
000004c4 T _fini
         w __gmon_start__
00000378 T _init
         w _Jv_RegisterClasses
which doesn't mention init_libkmidpart.
Comment 5 Kevin Kofler 2006-10-24 17:10:27 EDT
Still broken in kdemultimedia-3.5.4-2.fc6.
Comment 6 Rex Dieter 2007-01-17 08:40:28 EST
Has anyone pinged/bugzilla'd upstream/kde about this (yet)?
Comment 7 Kevin Kofler 2007-09-13 01:14:36 EDT
I haven't, maybe I should.
This is still broken in kdemultimedia-3.5.7-2.fc7 in any case.
Comment 8 Lukáš Tinkl 2008-01-07 10:18:25 EST
Can confirm on F8 (kde 3.5.8), got a patch locally, building now
Comment 9 Bug Zapper 2008-05-14 08:00:39 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Kevin Kofler 2008-05-14 08:05:13 EDT
Still just as broken on F8, bumping. Not tested with the F9/KDE4 version yet.
Comment 11 Bug Zapper 2008-11-26 01:57:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Kevin Kofler 2008-11-26 05:49:15 EST
Still broken in F9. I guess it'll be my job to fix it now as I'm the only one who cares about kmid at all. :-(
Comment 13 Steven M. Parrish 2009-01-10 13:31:54 EST
Its now 2009, F10 is in the wild.  Do you still plan on doing anything with this or should it be closed.
Comment 14 Kevin Kofler 2009-01-10 13:54:59 EST
I'm planning to fix it.
Comment 15 Steven M. Parrish 2009-06-07 19:11:21 EDT
Since you are still planning on fixing this will rebase it to F11 so it doesn't get closed when F9 goes EOL.

-- 
Steven M. Parrish - KDE Triage Master
Comment 16 Kevin Kofler 2009-06-07 19:19:35 EDT
Let's go all the way to Rawhide...
Comment 17 Bug Zapper 2009-06-09 05:09:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Steven M. Parrish 2009-06-23 10:40:15 EDT
The auto-rebase kicked this down to F-11.  Rebasing to rawhide.

-- 
Steven M. Parrish - KDE Triage Master
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 19 Bug Zapper 2009-11-16 02:50:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Kevin Kofler 2010-01-21 23:32:45 EST
It turns out the new KMid2 drops the KPart entirely, so it doesn't make much sense to try to fix this now, as I'm going to package KMid2 to replace the old unmaintained KMid snapshot.

Note You need to log in before you can comment on or make changes to this bug.